%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% portraits de phases t=0,1,2  
%% d=1 
%% multiplot pour trois temps 
t0=1; 
t1=round(nt/2); 
t2=nt; 
%% trace de la solution dans 
%% l'espace des phases 
plot(yy(t0,:),pp(t0,:),'b-', ...
yy(t1,:),pp(t1,:),'r*', ...
yy(t2,:),pp(t2,:),'k+') ; 
%% legendes , concatenation et num2str convertit 
%% les donnees numeriques en caracteres.  
legend(['t = ',num2str(tspan(t0))], ...
['t = ',num2str(tspan(t1))], ...
['t = ',num2str(tspan(t2))]); 
%% axes corrects 
axis([min(min(yy)) max(max(yy)) min(min(pp)) max(max(pp))])
%% titre 
title('portraits de phase') ; 
%% labels 
xlabel('y'); 
ylabel('p'); 
